// This file is a part of the xMule Project.
//
// Copyright (c) 2004 Theodore R. Smith (hopeseekr@xmule.ws / http://www.xmule.ws/)
// DSA-1024 Fingerprint: 10A0 6372 9092 85A2 BB7F 907B CB8B 654B E33B F1ED
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// This file was part of eMule added by quekky

#ifndef CATDIALOG_H
#define CATDIALOG_H

#include <wx/dialog.h>                      // Needed for wxDialog

struct Category_Struct;

class wxButton;
class wxComboBox;

class CCatDialog : public wxDialog
{
private:
    Category_Struct* m_myCat;
    wxComboBox* m_prio;
    wxButton* m_ctlColor;
    unsigned long newcolor;

public:
    DECLARE_DYNAMIC_CLASS(CCatDialog)

    CCatDialog() {}
    CCatDialog(wxWindow* parent,int catindex);   // standard constructor
    virtual ~CCatDialog() {}
    virtual bool OnInitDialog();

private:
    DECLARE_EVENT_TABLE()

    void OnBnClickedBrowse(wxCommandEvent& evt);
    void OnBnClickedOk(wxCommandEvent& evt);
    void OnBnClickColor(wxCommandEvent& evt);
};

#endif

